/*===========================================================================*/
/*   (Read/inline.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Read/inline.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00();
extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzread_inlinez00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl__inlinezd2finaliza7erz75zzread_inlinez00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl__lookzd2forzd2inlinez00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_loopz00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t create_struct(obj_t, int);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzread_inlinez00();
BGL_IMPORT obj_t close_input_port(obj_t);
static obj_t BGl_zc3exitza31675ze3z83zzread_inlinez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzread_inlinez00();
static obj_t BGl_requirezd2initializa7ationz75zzread_inlinez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
static obj_t BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_lookzd2forzd2inlinez00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzread_inlinez00();
static obj_t BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzread_inlinez00();
static obj_t __cnst[ 7 ] ;


DEFINE_STRING( BGl_string1943z00zzread_inlinez00, BgL_bgl_string1943za700za7za7read_inlineza7001974z00, "unit imported-inlines begin define-inline @ sifun done ", 55 );
DEFINE_STRING( BGl_string1942z00zzread_inlinez00, BgL_bgl_string1942za700za7za7read_inlineza7001975z00, "Can't find file", 15 );
DEFINE_STRING( BGl_string1941z00zzread_inlinez00, BgL_bgl_string1941za700za7za7read_inlineza7001976z00, "Can't find inline/generic definition(s)", 39 );
DEFINE_STRING( BGl_string1940z00zzread_inlinez00, BgL_bgl_string1940za700za7za7read_inlineza7001977z00, "import", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2finaliza7erzd2envza7zzread_inlinez00, BgL_bgl__inlineza7d2finaliza7a7erza775za7za7read_inlineza7001978z00, BGl__inlinezd2finaliza7erz75zzread_inlinez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_lookzd2forzd2inlinezd2envzd2zzread_inlinez00, BgL_bgl__lookza7d2forza7d2inlineza700za7za7read_inlineza7001979z00, BGl__lookzd2forzd2inlinez00zzread_inlinez00, 0L, 5 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long BgL_checksumz00_649, char * BgL_fromz00_650)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzread_inlinez00))
{ 
BGl_requirezd2initializa7ationz75zzread_inlinez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzread_inlinez00(); 
BGl_cnstzd2initzd2zzread_inlinez00(); 
BGl_importedzd2moduleszd2initz00zzread_inlinez00(); 
BGl_toplevelzd2initzd2zzread_inlinez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 15 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "read_inline"); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)0), "read_inline"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 15 */
{ /* ./Read/inline.scm 15 */
obj_t BgL_cportz00_642;
BgL_cportz00_642 = 
open_input_string(BGl_string1943z00zzread_inlinez00); 
{ 
long BgL_iz00_643;
BgL_iz00_643 = ((long)6); 
BgL_loopz00_644:
{ /* ./Read/inline.scm 15 */
bool_t BgL_test1945z00_645;
BgL_test1945z00_645 = 
(BgL_iz00_643==((long)-1)); 
if(BgL_test1945z00_645)
{ /* ./Read/inline.scm 15 */
return BUNSPEC;}  else 
{ /* ./Read/inline.scm 15 */
{ /* ./Read/inline.scm 15 */
obj_t BgL_arg1948z00_646;
{ /* ./Read/inline.scm 15 */
obj_t BgL_list1951z00_647;
BgL_list1951z00_647 = 
MAKE_PAIR(BgL_cportz00_642, BNIL); 
BgL_arg1948z00_646 = 
BGl_readz00zz__readerz00(BgL_list1951z00_647); } 
{ /* ./Read/inline.scm 15 */
int BgL_auxz00_669;
BgL_auxz00_669 = 
(int)(BgL_iz00_643); 
CNST_TABLE_SET(BgL_auxz00_669, BgL_arg1948z00_646); } } 
{ /* ./Read/inline.scm 15 */
int BgL_auxz00_648;
{ /* ./Read/inline.scm 15 */
long BgL_auxz00_672;
BgL_auxz00_672 = 
(BgL_iz00_643-((long)1)); 
BgL_auxz00_648 = 
(int)(BgL_auxz00_672); } 
{ 
long BgL_iz00_675;
BgL_iz00_675 = 
(long)(BgL_auxz00_648); 
BgL_iz00_643 = BgL_iz00_675; 
goto BgL_loopz00_644;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 15 */
return ( 
BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00 = BNIL, BUNSPEC) ;} 
}



/* look-for-inline */
BGL_EXPORTED_DEF obj_t BGl_lookzd2forzd2inlinez00zzread_inlinez00(obj_t BgL_inlinesz00_19, obj_t BgL_codez00_20, obj_t BgL_portz00_21, obj_t BgL_fnamesz00_22, obj_t BgL_modulez00_23)
{ AN_OBJECT;
{ /* ./Read/inline.scm 35 */
{ /* ./Read/inline.scm 36 */
obj_t BgL_arg1607z00_314;obj_t BgL_arg1608z00_315;
BgL_arg1607z00_314 = 
BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(BgL_inlinesz00_19, BgL_codez00_20, BgL_modulez00_23); 
{ /* ./Read/inline.scm 37 */
obj_t BgL_list1612z00_316;
{ /* ./Read/inline.scm 37 */
obj_t BgL_arg1614z00_317;
BgL_arg1614z00_317 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1612z00_316 = 
MAKE_PAIR(BgL_portz00_21, BgL_arg1614z00_317); } 
BgL_arg1608z00_315 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list1612z00_316); } 
return 
BGl_loopz00zzread_inlinez00(BgL_modulez00_23, BgL_arg1607z00_314, BgL_arg1608z00_315, BgL_fnamesz00_22, BgL_portz00_21);} } 
}



/* loop */
obj_t BGl_loopz00zzread_inlinez00(obj_t BgL_modulez00_636, obj_t BgL_inlinesz00_309, obj_t BgL_expz00_310, obj_t BgL_fnamesz00_311, obj_t BgL_portz00_312)
{ AN_OBJECT;
{ /* ./Read/inline.scm 36 */
BGl_loopz00zzread_inlinez00:
{ /* ./Read/inline.scm 41 */
bool_t BgL_test1617z00_318;
BgL_test1617z00_318 = 
NULLP(BgL_inlinesz00_309); 
if(BgL_test1617z00_318)
{ /* ./Read/inline.scm 41 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* ./Read/inline.scm 43 */
bool_t BgL_test1618z00_319;
BgL_test1618z00_319 = 
EOF_OBJECTP(BgL_expz00_310); 
if(BgL_test1618z00_319)
{ /* ./Read/inline.scm 43 */
{ /* ./Read/inline.scm 44 */
bool_t BgL_test1619z00_320;
BgL_test1619z00_320 = 
NULLP(BgL_fnamesz00_311); 
if(BgL_test1619z00_320)
{ /* ./Read/inline.scm 45 */
obj_t BgL_arg1624z00_323;
{ /* ./Read/inline.scm 47 */
bool_t BgL_test1627z00_326;
BgL_test1627z00_326 = 
NULLP(BgL_inlinesz00_309); 
if(BgL_test1627z00_326)
{ /* ./Read/inline.scm 47 */
BgL_arg1624z00_323 = BNIL; }  else 
{ /* ./Read/inline.scm 47 */
obj_t BgL_head1562z00_327;
{ /* ./Read/inline.scm 47 */
obj_t BgL_arg1654z00_338;
{ /* ./Read/inline.scm 47 */
obj_t BgL_auxz00_691;
BgL_auxz00_691 = 
CAR(BgL_inlinesz00_309); 
BgL_arg1654z00_338 = 
CAR(BgL_auxz00_691); } 
BgL_head1562z00_327 = 
MAKE_PAIR(BgL_arg1654z00_338, BNIL); } 
{ 
obj_t BgL_l1560z00_328;obj_t BgL_tail1563z00_329;
{ /* ./Read/inline.scm 47 */
obj_t BgL_arg1629z00_331;
BgL_arg1629z00_331 = 
CDR(BgL_inlinesz00_309); 
BgL_l1560z00_328 = BgL_arg1629z00_331; 
BgL_tail1563z00_329 = BgL_head1562z00_327; 
BgL_map1561z00_330:
{ /* ./Read/inline.scm 47 */
bool_t BgL_test1632z00_332;
BgL_test1632z00_332 = 
NULLP(BgL_l1560z00_328); 
if(BgL_test1632z00_332)
{ /* ./Read/inline.scm 47 */
BgL_arg1624z00_323 = BgL_head1562z00_327; }  else 
{ /* ./Read/inline.scm 47 */
obj_t BgL_newtail1564z00_333;
{ /* ./Read/inline.scm 47 */
obj_t BgL_arg1641z00_335;
{ /* ./Read/inline.scm 47 */
obj_t BgL_auxz00_698;
BgL_auxz00_698 = 
CAR(BgL_l1560z00_328); 
BgL_arg1641z00_335 = 
CAR(BgL_auxz00_698); } 
BgL_newtail1564z00_333 = 
MAKE_PAIR(BgL_arg1641z00_335, BNIL); } 
SET_CDR(BgL_tail1563z00_329, BgL_newtail1564z00_333); 
{ /* ./Read/inline.scm 47 */
obj_t BgL_arg1635z00_334;
BgL_arg1635z00_334 = 
CDR(BgL_l1560z00_328); 
{ 
obj_t BgL_tail1563z00_705;obj_t BgL_l1560z00_704;
BgL_l1560z00_704 = BgL_arg1635z00_334; 
BgL_tail1563z00_705 = BgL_newtail1564z00_333; 
BgL_tail1563z00_329 = BgL_tail1563z00_705; 
BgL_l1560z00_328 = BgL_l1560z00_704; 
goto BgL_map1561z00_330;} } } } } } } } 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1940z00zzread_inlinez00, BGl_string1941z00zzread_inlinez00, BgL_arg1624z00_323, BNIL);}  else 
{ /* ./Read/inline.scm 48 */
obj_t BgL_fnamez00_341;
{ /* ./Read/inline.scm 48 */
obj_t BgL_arg1703z00_361;
BgL_arg1703z00_361 = 
CAR(BgL_fnamesz00_311); 
BgL_fnamez00_341 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_arg1703z00_361, BGl_za2loadzd2pathza2zd2zz__evalz00); } 
{ /* ./Read/inline.scm 49 */
bool_t BgL_test1662z00_342;
BgL_test1662z00_342 = 
STRINGP(BgL_fnamez00_341); 
if(BgL_test1662z00_342)
{ /* ./Read/inline.scm 51 */
obj_t BgL_portz00_343;
BgL_portz00_343 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_341, BNIL); 
{ /* ./Read/inline.scm 52 */
obj_t BgL_val1565z00_344;
BgL_val1565z00_344 = 
BGl_zc3exitza31675ze3z83zzread_inlinez00(BgL_inlinesz00_309, BgL_fnamesz00_311, BgL_portz00_343, BgL_modulez00_636); 
{ /* ./Read/inline.scm 56 */
bool_t BgL_test1663z00_345;
BgL_test1663z00_345 = 
INPUT_PORTP(BgL_portz00_343); 
if(BgL_test1663z00_345)
{ /* ./Read/inline.scm 56 */
close_input_port(BgL_portz00_343); }  else 
{ /* ./Read/inline.scm 56 */BFALSE; } } 
{ /* ./Read/inline.scm 56 */
bool_t BgL_test1666z00_346;
{ /* ./Read/inline.scm 56 */
obj_t BgL_auxz00_716;
BgL_auxz00_716 = 
BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_val1565z00_344); 
BgL_test1666z00_346 = 
CBOOL(BgL_auxz00_716); } 
if(BgL_test1666z00_346)
{ /* ./Read/inline.scm 56 */
obj_t BgL_arg1669z00_347;obj_t BgL_arg1670z00_348;
BgL_arg1669z00_347 = 
CAR(BgL_val1565z00_344); 
BgL_arg1670z00_348 = 
CDR(BgL_val1565z00_344); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_arg1669z00_347, BgL_arg1670z00_348);}  else 
{ /* ./Read/inline.scm 56 */
return BgL_val1565z00_344;} } } }  else 
{ /* ./Read/inline.scm 50 */
obj_t BgL_arg1697z00_359;
BgL_arg1697z00_359 = 
CAR(BgL_fnamesz00_311); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1940z00zzread_inlinez00, BGl_string1942z00zzread_inlinez00, BgL_arg1697z00_359, BNIL);} } } } }  else 
{ /* ./Read/inline.scm 43 */
{ /* ./Read/inline.scm 59 */
obj_t BgL_arg1709z00_362;obj_t BgL_arg1710z00_363;
BgL_arg1709z00_362 = 
BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(BgL_inlinesz00_309, BgL_expz00_310, BgL_modulez00_636); 
{ /* ./Read/inline.scm 60 */
obj_t BgL_list1714z00_364;
{ /* ./Read/inline.scm 60 */
obj_t BgL_arg1716z00_365;
BgL_arg1716z00_365 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1714z00_364 = 
MAKE_PAIR(BgL_portz00_312, BgL_arg1716z00_365); } 
BgL_arg1710z00_363 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list1714z00_364); } 
{ 
obj_t BgL_expz00_730;obj_t BgL_inlinesz00_729;
BgL_inlinesz00_729 = BgL_arg1709z00_362; 
BgL_expz00_730 = BgL_arg1710z00_363; 
BgL_expz00_310 = BgL_expz00_730; 
BgL_inlinesz00_309 = BgL_inlinesz00_729; 
goto BGl_loopz00zzread_inlinez00;} } } } } } 
}



/* <exit:1675> */
obj_t BGl_zc3exitza31675ze3z83zzread_inlinez00(obj_t BgL_inlinesz00_640, obj_t BgL_fnamesz00_639, obj_t BgL_portz00_638, obj_t BgL_modulez00_637)
{ AN_OBJECT;
{ /* ./Read/inline.scm 56 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1566z00_350;
if( SET_EXIT(BgL_an_exit1566z00_350) ) { 
return 
_exit_value_;
} else {
BgL_an_exit1566z00_350 = 
(obj_t)jmpbuf; 
{ /* ./Read/inline.scm 56 */

PUSH_EXIT(BgL_an_exit1566z00_350, ((bool_t)0)); 
{ /* ./Read/inline.scm 53 */
obj_t BgL_val1567z00_351;
{ /* ./Read/inline.scm 53 */
obj_t BgL_arg1680z00_352;obj_t BgL_arg1681z00_353;
{ /* ./Read/inline.scm 53 */
obj_t BgL_list1684z00_354;
{ /* ./Read/inline.scm 53 */
obj_t BgL_arg1686z00_355;
BgL_arg1686z00_355 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1684z00_354 = 
MAKE_PAIR(BgL_portz00_638, BgL_arg1686z00_355); } 
BgL_arg1680z00_352 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list1684z00_354); } 
BgL_arg1681z00_353 = 
CDR(BgL_fnamesz00_639); 
BgL_val1567z00_351 = 
BGl_loopz00zzread_inlinez00(BgL_modulez00_637, BgL_inlinesz00_640, BgL_arg1680z00_352, BgL_arg1681z00_353, BgL_portz00_638); } 
POP_EXIT(); 
return BgL_val1567z00_351;} } 
} } 
}



/* _look-for-inline */
obj_t BGl__lookzd2forzd2inlinez00zzread_inlinez00(obj_t BgL_envz00_629, obj_t BgL_inlinesz00_630, obj_t BgL_codez00_631, obj_t BgL_portz00_632, obj_t BgL_fnamesz00_633, obj_t BgL_modulez00_634)
{ AN_OBJECT;
{ /* ./Read/inline.scm 35 */
return 
BGl_lookzd2forzd2inlinez00zzread_inlinez00(BgL_inlinesz00_630, BgL_codez00_631, BgL_portz00_632, BgL_fnamesz00_633, BgL_modulez00_634);} 
}



/* look-for-inline/exp */
obj_t BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(obj_t BgL_inlinesz00_24, obj_t BgL_expz00_25, obj_t BgL_modulez00_26)
{ AN_OBJECT;
{ /* ./Read/inline.scm 67 */
{ /* ./Read/inline.scm 68 */
bool_t BgL_test1721z00_366;
BgL_test1721z00_366 = 
NULLP(BgL_inlinesz00_24); 
if(BgL_test1721z00_366)
{ /* ./Read/inline.scm 68 */
return BNIL;}  else 
{ 
obj_t BgL_expza2za2_371;obj_t BgL_protoz00_367;obj_t BgL_namez00_368;obj_t BgL_bodyz00_369;
{ /* ./Read/inline.scm 70 */
bool_t BgL_test1723z00_375;
BgL_test1723z00_375 = 
PAIRP(BgL_expz00_25); 
if(BgL_test1723z00_375)
{ /* ./Read/inline.scm 70 */
obj_t BgL_cdrzd2132zd2_376;
BgL_cdrzd2132zd2_376 = 
CDR(BgL_expz00_25); 
{ /* ./Read/inline.scm 70 */
bool_t BgL_test1725z00_377;
{ /* ./Read/inline.scm 70 */
obj_t BgL_auxz00_748;obj_t BgL_auxz00_746;
BgL_auxz00_748 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_746 = 
CAR(BgL_expz00_25); 
BgL_test1725z00_377 = 
(BgL_auxz00_746==BgL_auxz00_748); } 
if(BgL_test1725z00_377)
{ /* ./Read/inline.scm 70 */
bool_t BgL_test1726z00_378;
BgL_test1726z00_378 = 
PAIRP(BgL_cdrzd2132zd2_376); 
if(BgL_test1726z00_378)
{ /* ./Read/inline.scm 70 */
obj_t BgL_carzd2136zd2_379;
BgL_carzd2136zd2_379 = 
CAR(BgL_cdrzd2132zd2_376); 
{ /* ./Read/inline.scm 70 */
bool_t BgL_test1727z00_380;
BgL_test1727z00_380 = 
PAIRP(BgL_carzd2136zd2_379); 
if(BgL_test1727z00_380)
{ /* ./Read/inline.scm 70 */
obj_t BgL_arg1729z00_381;obj_t BgL_arg1731z00_382;
BgL_arg1729z00_381 = 
CAR(BgL_carzd2136zd2_379); 
BgL_arg1731z00_382 = 
CDR(BgL_cdrzd2132zd2_376); 
BgL_protoz00_367 = BgL_carzd2136zd2_379; 
BgL_namez00_368 = BgL_arg1729z00_381; 
BgL_bodyz00_369 = BgL_arg1731z00_382; 
{ /* ./Read/inline.scm 72 */
obj_t BgL_idz00_389;
{ /* ./Read/inline.scm 72 */
obj_t BgL_arg1789z00_399;
BgL_arg1789z00_399 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_25); 
BgL_idz00_389 = 
BGl_idzd2ofzd2idz00zzast_identz00(BgL_namez00_368, BgL_arg1789z00_399); } 
{ /* ./Read/inline.scm 72 */
obj_t BgL_cellz00_390;
BgL_cellz00_390 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_389, BgL_inlinesz00_24); 
{ /* ./Read/inline.scm 73 */

{ /* ./Read/inline.scm 74 */
bool_t BgL_test1762z00_391;
if(
PAIRP(BgL_cellz00_390))
{ /* ./Read/inline.scm 74 */
obj_t BgL_auxz00_766;obj_t BgL_auxz00_764;
BgL_auxz00_766 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_764 = 
CDR(BgL_cellz00_390); 
BgL_test1762z00_391 = 
(BgL_auxz00_764==BgL_auxz00_766); }  else 
{ /* ./Read/inline.scm 74 */
BgL_test1762z00_391 = ((bool_t)0); } 
if(BgL_test1762z00_391)
{ /* ./Read/inline.scm 74 */
{ /* ./Read/inline.scm 76 */
obj_t BgL_arg1766z00_392;
{ /* ./Read/inline.scm 76 */
obj_t BgL_arg1771z00_393;obj_t BgL_arg1772z00_394;
BgL_arg1771z00_393 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Read/inline.scm 76 */
obj_t BgL_arg1775z00_395;
BgL_arg1775z00_395 = 
MAKE_PAIR(BgL_modulez00_26, BNIL); 
BgL_arg1772z00_394 = 
MAKE_PAIR(BgL_idz00_389, BgL_arg1775z00_395); } 
BgL_arg1766z00_392 = 
MAKE_PAIR(BgL_arg1771z00_393, BgL_arg1772z00_394); } 
SET_CAR(BgL_protoz00_367, BgL_arg1766z00_392); } 
BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00 = 
MAKE_PAIR(BgL_expz00_25, BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00); 
return 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_cellz00_390, BgL_inlinesz00_24);}  else 
{ /* ./Read/inline.scm 74 */
return BgL_inlinesz00_24;} } } } } }  else 
{ /* ./Read/inline.scm 70 */
return BgL_inlinesz00_24;} } }  else 
{ /* ./Read/inline.scm 70 */
return BgL_inlinesz00_24;} }  else 
{ /* ./Read/inline.scm 70 */
bool_t BgL_test1740z00_383;
{ /* ./Read/inline.scm 70 */
obj_t BgL_auxz00_779;obj_t BgL_auxz00_777;
BgL_auxz00_779 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_777 = 
CAR(BgL_expz00_25); 
BgL_test1740z00_383 = 
(BgL_auxz00_777==BgL_auxz00_779); } 
if(BgL_test1740z00_383)
{ /* ./Read/inline.scm 70 */
BgL_expza2za2_371 = BgL_cdrzd2132zd2_376; 
{ 
obj_t BgL_inlinesz00_400;obj_t BgL_expza2za2_401;
BgL_inlinesz00_400 = BgL_inlinesz00_24; 
BgL_expza2za2_401 = BgL_expza2za2_371; 
BgL_loopz00_402:
{ /* ./Read/inline.scm 84 */
bool_t BgL_test1795z00_403;
BgL_test1795z00_403 = 
NULLP(BgL_expza2za2_401); 
if(BgL_test1795z00_403)
{ /* ./Read/inline.scm 84 */
return BgL_inlinesz00_400;}  else 
{ /* ./Read/inline.scm 86 */
obj_t BgL_arg1798z00_404;obj_t BgL_arg1799z00_405;
{ /* ./Read/inline.scm 86 */
obj_t BgL_arg1802z00_406;
BgL_arg1802z00_406 = 
CAR(BgL_expza2za2_401); 
BgL_arg1798z00_404 = 
BGl_lookzd2forzd2inlinezf2expzf2zzread_inlinez00(BgL_inlinesz00_400, BgL_arg1802z00_406, BgL_modulez00_26); } 
BgL_arg1799z00_405 = 
CDR(BgL_expza2za2_401); 
{ 
obj_t BgL_expza2za2_789;obj_t BgL_inlinesz00_788;
BgL_inlinesz00_788 = BgL_arg1798z00_404; 
BgL_expza2za2_789 = BgL_arg1799z00_405; 
BgL_expza2za2_401 = BgL_expza2za2_789; 
BgL_inlinesz00_400 = BgL_inlinesz00_788; 
goto BgL_loopz00_402;} } } } }  else 
{ /* ./Read/inline.scm 70 */
return BgL_inlinesz00_24;} } } }  else 
{ /* ./Read/inline.scm 70 */
return BgL_inlinesz00_24;} } } } } 
}



/* inline-finalizer */
BGL_EXPORTED_DEF obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 99 */
{ /* ./Read/inline.scm 100 */
bool_t BgL_test1808z00_407;
{ /* ./Read/inline.scm 100 */
obj_t BgL_objz00_601;
BgL_objz00_601 = BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00; 
BgL_test1808z00_407 = 
NULLP(BgL_objz00_601); } 
if(BgL_test1808z00_407)
{ /* ./Read/inline.scm 100 */
return BNIL;}  else 
{ /* ./Read/inline.scm 102 */
obj_t BgL_arg1810z00_408;
{ /* ./Read/inline.scm 102 */
obj_t BgL_idz00_602;obj_t BgL_sexpza2za2_604;
BgL_idz00_602 = 
CNST_TABLE_REF(((long)5)); 
BgL_sexpza2za2_604 = BGl_za2inlinezd2definitionsza2zd2zzread_inlinez00; 
{ /* ./Read/inline.scm 102 */
obj_t BgL_newz00_606;
{ /* ./Read/inline.scm 102 */
int BgL_auxz00_795;obj_t BgL_auxz00_793;
BgL_auxz00_795 = 
(int)(((long)4)); 
BgL_auxz00_793 = 
CNST_TABLE_REF(((long)6)); 
BgL_newz00_606 = 
create_struct(BgL_auxz00_793, BgL_auxz00_795); } 
{ /* ./Read/inline.scm 102 */
int BgL_kz00_610;
BgL_kz00_610 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_606, BgL_kz00_610, BTRUE); } 
{ /* ./Read/inline.scm 102 */
int BgL_kz00_615;
BgL_kz00_615 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_606, BgL_kz00_615, BgL_sexpza2za2_604); } 
{ /* ./Read/inline.scm 102 */
int BgL_kz00_620;obj_t BgL_oz00_621;
BgL_kz00_620 = 
(int)(((long)1)); 
BgL_oz00_621 = 
BINT(((long)0)); 
STRUCT_SET(BgL_newz00_606, BgL_kz00_620, BgL_oz00_621); } 
{ /* ./Read/inline.scm 102 */
int BgL_kz00_625;
BgL_kz00_625 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_606, BgL_kz00_625, BgL_idz00_602); } 
BgL_arg1810z00_408 = BgL_newz00_606; } } 
{ /* ./Read/inline.scm 102 */
obj_t BgL_list1812z00_409;
BgL_list1812z00_409 = 
MAKE_PAIR(BgL_arg1810z00_408, BNIL); 
return BgL_list1812z00_409;} } } } 
}



/* _inline-finalizer */
obj_t BGl__inlinezd2finaliza7erz75zzread_inlinez00(obj_t BgL_envz00_635)
{ AN_OBJECT;
{ /* ./Read/inline.scm 99 */
return 
BGl_inlinezd2finaliza7erz75zzread_inlinez00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzread_inlinez00()
{ AN_OBJECT;
{ /* ./Read/inline.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "read_inline"); 
BGl_modulezd2initializa7ationz75zzread_readerz00(((long)38783), "read_inline"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "read_inline"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "read_inline"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "read_inline"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "read_inline"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "read_inline"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "read_inline"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "read_inline"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "read_inline");} 
}

